### Hierarchy

- OffSwitchListener

### Implements

- IListener

## Index

### Constructors

- constructor

### Properties

- btn
- txt

### Methods

- onConnected
- onConnectionLost
- onDisconnected
- onError
- onMessage
- onPacketSend
- switchOff

## Constructors

### constructor

- new OffSwitchListener(txt: HTMLTextAreaElement, btn: HTMLButtonElement): OffSwitchListener

- - Defined in lib/listener/OffSwitchListener.ts:15

  #### Parameters

  - ##### Optional txt: HTMLTextAreaElement

  - ##### Optional btn: HTMLButtonElement

  #### Returns OffSwitchListener

## Properties

### Private btn

btn: HTMLButtonElement

- Defined in lib/listener/OffSwitchListener.ts:15

### Private txt

txt: HTMLTextAreaElement

- Defined in lib/listener/OffSwitchListener.ts:14

## Methods

### onConnected

- onConnected(): void

- Implementation of IListener.onConnected

  - Defined in lib/listener/OffSwitchListener.ts:25

  #### Returns void

### onConnectionLost

- onConnectionLost(): void

- Implementation of IListener.onConnectionLost

  - Defined in lib/listener/OffSwitchListener.ts:32

  #### Returns void

### onDisconnected

- onDisconnected(): void

- Implementation of IListener.onDisconnected

  - Defined in lib/listener/OffSwitchListener.ts:39

  #### Returns void

### onError

- onError(error: string): void

- Implementation of IListener.onError

  - Defined in lib/listener/OffSwitchListener.ts:46

  #### Parameters

  - ##### error: string

  #### Returns void

### onMessage

- onMessage(data: ISpecification): void

- - Defined in lib/listener/OffSwitchListener.ts:60

  #### Parameters

  - ##### data: ISpecification

  #### Returns void

### onPacketSend

- onPacketSend(packet: IPacket): void

- Implementation of IListener.onPacketSend

  - Defined in lib/listener/OffSwitchListener.ts:53

  #### Parameters

  - ##### packet: IPacket

  #### Returns void

### switchOff

- switchOff(nerStrategies: Map<string, any>): void

- - Defined in lib/listener/OffSwitchListener.ts:72

  #### Parameters

  - ##### Optional nerStrategies: Map<string, any>

  #### Returns void

Generated using TypeDoc